/*******************************************************************************
 * Copyright 2016 Centre for Development of Advanced Computing(C-DAC), Pune
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package in.cdac.medinfo.csnotk.csnolib.icdmap;


import java.util.Comparator;

/**
 * Implements Comparator to override compare method for comparing MapKey class objects.
 * @see MapKey
 */
class MapKeyComparator implements Comparator<MapKey>{

	@Override
	public int compare(MapKey key1, MapKey key2) {
		
		if(key1.getGroup()<key2.getGroup())
			return -1;
		else if (key1.getGroup()== key2.getGroup())
			if(key1.getPriority()<=key2.getPriority())
				return -1;
			else return 1;
		else return 1;
	}
	

}
